summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-08-14 18:56:08 +0000
committer Eric Hameleers <alien@slackware.com>2020-08-15 09:00:05 +0200
commit5925670c67516e245b1c5dced955482bd679b139 (patch)
tree428a723ccbc5b0609a2142d3d2e0d6b611554fcf /source
parente5534a72d2c75faf1d8024ec20e7273a7c3ddc80 (diff)
downloadcurrent-5925670c67516e245b1c5dced955482bd679b139.tar.gz
current-5925670c67516e245b1c5dced955482bd679b139.tar.xz
Fri Aug 14 18:56:08 UTC 202020200814185608
d/python-setuptools-49.6.0-x86_64-1.txz: Upgraded. l/harfbuzz-2.7.1-x86_64-1.txz: Upgraded. l/pango-1.46.0-x86_64-1.txz: Upgraded. It would appear that there's no chance of upstream bringing back support for bitmapped fonts, so it's time to stop dragging our feet and just accept this upgrade. At least they've fixed it to provide readable (though badly spaced) text for unsupported fonts. If you're using Terminus, I'd suggest switching to the Hack font as a good replacement. n/lftp-4.9.2-x86_64-1.txz: Upgraded. xfce/garcon-0.6.4-x86_64-1.txz: Upgraded. Switched back to 0.6.4 since that is actually the latest stable release. xfce/tumbler-0.2.9-x86_64-1.txz: Upgraded. Switched back to 0.2.9 since that is actually the latest stable release.
Diffstat (limited to 'source')
-rwxr-xr-xsource/l/pango/pango.SlackBuild46
-rw-r--r--source/xfce/garcon/garcon.url2
-rw-r--r--source/xfce/tumbler/tumbler.url2
3 files changed, 29 insertions, 21 deletions
diff --git a/source/l/pango/pango.SlackBuild b/source/l/pango/pango.SlackBuild
index 24b6af7b9..186ca919d 100755
--- a/source/l/pango/pango.SlackBuild
+++ b/source/l/pango/pango.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -73,33 +73,41 @@ cd pango-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \+ -o \
+ -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \+
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
+ -exec chmod 644 {} \;
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --docdir=/usr/doc/pango-$VERSION \
- --with-xft \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux \
- --target=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dgtk_doc=true \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Do not remove pangox.aliases
#rm -f $PKG/etc/pango/pango.modules
#mkdir -p $PKG/etc/pango/$host
#touch $PKG/etc/pango/$host/pango.modules
+# It seems that --mandir is ignored:
+mv $PKG/usr/share/man $PKG/usr
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/xfce/garcon/garcon.url b/source/xfce/garcon/garcon.url
index 50fd8dc5e..369d7a860 100644
--- a/source/xfce/garcon/garcon.url
+++ b/source/xfce/garcon/garcon.url
@@ -1 +1 @@
-http://archive.xfce.org/src/xfce/garcon/0.7/garcon-0.7.0.tar.bz2
+http://archive.xfce.org/src/xfce/garcon/0.6/garcon-0.6.4.tar.bz2
diff --git a/source/xfce/tumbler/tumbler.url b/source/xfce/tumbler/tumbler.url
index a7e4a6e57..e4acc3764 100644
--- a/source/xfce/tumbler/tumbler.url
+++ b/source/xfce/tumbler/tumbler.url
@@ -1 +1 @@
-http://archive.xfce.org/src/xfce/tumbler/0.3/tumbler-0.3.0.tar.bz2
+http://archive.xfce.org/src/xfce/tumbler/0.2/tumbler-0.2.9.tar.bz2